import { Component, Prop,h } from '@stencil/core';

@Component({
  tag: 'hy-accordion-container',
  styleUrl: 'accordion-container.scss',
  shadow: false
})
export class AccordionContainer {
  @Prop() accordionid?: string;

  render() {
    const classAttributes = ["hy-accordion-container", "js-hy-accordion"];
    const id = this.accordionid.toLowerCase().replace(/\W/g,'-');
    return (
      <div id={id} class={classAttributes.join(" ")} data-allow-multiple="true" data-allow-toggle="true">
        <slot></slot>
      </div>
    );
  }

}


